Subject: Re: Comment on rpl-routing-header draft

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 09 Jun 2011 18:58:37 +0200

Le 27/04/2011 01:39, Reddy, Joseph a écrit :
>
> Hi Thomas
>
> Since RPL protocol is intended to operate in networks with
> constrained devices and lossy, low-bandwidth links, there is a
> desire to not require IP-in-IP tunnelling that is usually used for
> inserting routing headers.

Hm?

IP-in-IP tunnelling is not used to insert routing headers.

(do you mean that because of some perception tunnels are too big for
low-bandwidth links and hence Routing Headers should be used?  In terms
of bytecount I think a Routing Header takes about the same number of
bytes than adding a Base Header (i.e. use IP-in-IP tunnelling).)

> This is detailed in the draft
> http://tools.ietf.org/html/draft-hui-6man-rpl-headers-00

The draft says:
> However, where LLNs are severely constrained in resources, IP-in-IP
> tunneling may not be the most favorable solution.  Use of IP-in-IP
> requires datagrams to carry two IPv6 headers, increasing header
> overhead and associated communication and memory requirements.

Try to evaluate how much overhead is that: compare the size in bytes of
one (not two) Base Headers (40bytes) to the size of a Routing Header
containing one address (24bytes).

HEaders of an IP-in-IP packet vs RH packet are like this:
Base+IP-in-IP: 80bytes.
Base+RH:       64bytes.
-----------------------
                16bytes difference, potentially saved by preferring RH.

Minimal MTU is 1280bytes.  Saving 16byte is little worth the trouble.

Alex

> but I realize now this draft expired recently. Perhaps this can be
> revived as it is helps to improve the applicability of RPL protocol.

>
> -Joseph
>
> -----Original Message----- From: Thomas Narten
> [mailto:[email-masked]] Sent: Tuesday, April 26, 2011 5:57 AM To:
> Reddy, Joseph Cc: Jonathan Hui; [email-masked]' Subject: Re: Comment
> on rpl-routing-header draft
>
>> In the most common usage of this header, the border router inserts
>> a source routing header with the full set of intermediate nodes
>> before forwarding it towards the destination within the RPL
>> network.
>
> and then.
>
>> Yes, we do not use IP-in-IP tunneling and instead simply insert
>> the RH head= er in the packet.
>
> What specification are you following that says do this?
>
> Routing headers (as designed and specified) are inserted by an
> originating node (whether the original sender or a tunnel entry
> point). If you have a middle node insert this header to an existing
> packet, no suprise things are not going to work.
>
> Thomas
> --------------------------------------------------------------------
>  IETF IPv6 working group mailing list [email-masked] Administrative
> Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>